unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Blocks;

type
  TForm2 = class(TForm)
    Entrance: TGenerator;
    Hall: TQueue;
    procedure EntranceBeforeTimeGoOn(Sender: TAggregate);
    procedure EntranceExit(Sender: TBlock; Trans: TTransaction);
    procedure EntranceRouting(Sender: TBlock; Trans: TTransaction);
    procedure HallRouting(Sender: TBlock; Trans: TTransaction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.DFM}

uses Sample19, Unit3;

procedure TForm2.EntranceBeforeTimeGoOn(Sender: TAggregate);
begin
   Sender.NextTime(0.0);
end;

procedure TForm2.EntranceExit(Sender: TBlock; Trans: TTransaction);
begin
   Sender.NextTime(Form1.MultiRand.Exponential(ArrivalTime));
end;

procedure TForm2.EntranceRouting(Sender: TBlock; Trans: TTransaction);
begin
   Sender.PassTo(Hall);
end;

procedure TForm2.HallRouting(Sender: TBlock; Trans: TTransaction);
begin
   Sender.PassTo(Form3.Barber);
end;

end.
